View Issue Details

IDProjectCategoryView StatusLast Update
0033173CommunityOCCT:Modeling Algorithmspublic2022-12-05 00:25
Reporterfestive-shrimp Assigned Toifv  
PriorityurgentSeveritymajor 
Status verifiedResolutionfixed 
PlatformLinuxOSUbuntu 20.04 
Product Version7.6.3 
Target Version7.7.1 
Summary0033173: Modeling Algorithms - Regression in BRepExtrema_DistShapeShape causing Standard_OutOfRange exception
DescriptionBRepExtrema_DistShapeShape throws a "Standard_OutOfRange" exception (with no message) when given two particular wires in OCCT 7.6.3, while the exact same code works perfectly well in OCCT 7.5.3.
Steps To ReproduceDownload the attached program and BREP files, put them in the same directory and run:
g++ dss-error.cpp -I/usr/local/include/opencascade -o dss-error -lTKernel -lTKTopAlgo -lTKBRep -lTKMath && ./dss-error

or run in Draw "test bugs modalg_8 bug33173"
Additional information
and documentation updates
Output of the attached program with different versions of OpenCASCADE installed:

OCCT 7.5.3:
festive@shrimp:~$ g++ dss-error.cpp -I/usr/local/include/opencascade -o dss-error -lTKernel -lTKTopAlgo -lTKBRep -lTKMath && ./dss-error
Found distance 7.04911e-07

OCCT 7.6.3:
festive@shrimp:~$ g++ dss-error.cpp -I/usr/local/include/opencascade -o dss-error -lTKernel -lTKTopAlgo -lTKBRep -lTKMath && ./dss-error
terminate called after throwing an instance of 'Standard_OutOfRange'
Aborted
TagsNo tags attached.
Test case numberbugs/modalg_8/bug33173

Attached Files

  • dssfail1.brep (5,906 bytes)
  • dssfail2.brep (6,873 bytes)
  • dss-error.cpp (639 bytes)

Relationships

has duplicate 0033174 feedbackbugmaster Regression in BRepExtrema_DistShapeShape causing Standard_OutOfRange exception 

Activities

festive-shrimp

2022-10-14 16:03

reporter  

dssfail1.brep (5,906 bytes)
dssfail2.brep (6,873 bytes)
dss-error.cpp (639 bytes)

git

2022-10-17 17:23

administrator   ~0111606

Branch CR33173 has been created by ifv.

SHA-1: 2d58c6c7ef51013b67e90a4cd36d5c7d1a3a532b


Detailed log of new commits:

Author: ifv
Date: Mon Oct 17 17:22:44 2022 +0300

    0033173: Regression in BRepExtrema_DistShapeShape causing Standard_OutOfRange exception

git

2022-10-18 12:19

administrator   ~0111627

Branch CR33173 has been updated forcibly by ifv.

SHA-1: 14ee0a8e5b4bf3e4a7f0dc935309ffb83beeed8f

ifv

2022-11-01 10:08

developer   ~0111810

Branch CR33173 in OCCT rep. is ready for review

Test results:
http://jenkins-test-08.nnov.opencascade.com/view/CR33173-master-ifv/view/COMPARE/

Branches for integrations:
OCCT - CR33173
Products - not

msv

2022-11-01 10:46

developer   ~0111811

Please analyze if we need to make 'continue' instead of 'break' in the patch.

git

2022-11-01 16:52

administrator   ~0111820

Branch CR33173 has been updated forcibly by ifv.

SHA-1: 40b924480ef65308e4d7effa6ed9d81066bb60a8

git

2022-11-07 07:42

administrator   ~0111906

Branch CR33173 has been updated forcibly by ifv.

SHA-1: c6548caa33da3b5afb95c614977b16b12b5d6622

ifv

2022-11-13 20:23

developer   ~0112072

Branch CR33173 in OCCT rep. is ready for review

Test results:
http://jenkins-test-08.nnov.opencascade.com/view/CR33173-master-ifv/view/COMPARE/

Branches for integrations:
OCCT - CR33173
Products - not

Related Changesets

occt: master 8175a70c

2022-10-17 17:22:44

ifv


Committer: vglukhik Details Diff
0033173: Modeling Algorithms - Regression in BRepExtrema_DistShapeShape causing Standard_OutOfRange exception

Extrema/Extrema_ExtCC.cxx - checking number of solutions is added

tests/bugs/modalg_8/bug33173 - test case added
Affected Issues
0033173
mod - src/Extrema/Extrema_ExtCC.cxx Diff File
add - tests/bugs/modalg_8/bug33173 Diff File

Issue History

Date Modified Username Field Change
2022-10-14 16:03 festive-shrimp New Issue
2022-10-14 16:03 festive-shrimp Assigned To => msv
2022-10-14 16:03 festive-shrimp File Added: dssfail1.brep
2022-10-14 16:03 festive-shrimp File Added: dssfail2.brep
2022-10-14 16:03 festive-shrimp File Added: dss-error.cpp
2022-10-14 16:55 msv Relationship added has duplicate 0033174
2022-10-14 18:04 szy Assigned To msv => ifv
2022-10-14 18:04 szy Priority normal => urgent
2022-10-14 18:04 szy Status new => assigned
2022-10-17 17:23 git Note Added: 0111606
2022-10-18 11:10 ifv Summary Regression in BRepExtrema_DistShapeShape causing Standard_OutOfRange exception => Modeling Algorithms - Regression in BRepExtrema_DistShapeShape causing Standard_OutOfRange exception
2022-10-18 12:19 git Note Added: 0111627
2022-11-01 10:05 ifv Test case number => bugs/modalg_8/bug33173
2022-11-01 10:08 ifv Assigned To ifv => msv
2022-11-01 10:08 ifv Status assigned => resolved
2022-11-01 10:08 ifv Steps to Reproduce Updated
2022-11-01 10:08 ifv Note Added: 0111810
2022-11-01 10:46 msv Assigned To msv => ifv
2022-11-01 10:46 msv Status resolved => assigned
2022-11-01 10:46 msv Note Added: 0111811
2022-11-01 16:52 git Note Added: 0111820
2022-11-07 07:42 git Note Added: 0111906
2022-11-13 20:23 ifv Assigned To ifv => msv
2022-11-13 20:23 ifv Status assigned => resolved
2022-11-13 20:23 ifv Note Added: 0112072
2022-11-14 10:26 msv Target Version => 7.7.1
2022-11-14 10:26 msv Assigned To msv => bugmaster
2022-11-14 10:26 msv Status resolved => reviewed
2022-12-04 13:29 smoskvin Status reviewed => tested
2022-12-05 00:25 vglukhik Changeset attached => occt master 8175a70c
2022-12-05 00:25 ifv Assigned To bugmaster => ifv
2022-12-05 00:25 ifv Status tested => verified
2022-12-05 00:25 ifv Resolution open => fixed